// JUHTLAUSED - CONTROL STATEMENTS

#include <iostream.h>

int main(void)
{
int i, j;

// Korduslaused - Iteration statements

// 1. for(initialization; test; increment) statement;

// Tidetakse algvrtustamisavaldis(ed) 'initialization',
// kuni tingimus 'test' on tene (mitte 0), tidetakse (liit)lauset 'statement,
// iga tskli lpus tidetakse avaldis(ed) 'increment'

// Initialization expression(s) is (are) executed
// until test expression is true (not 0), the 'statement' is executed
// after every loop increment expression(s) is (are) executed

cout << "1. for:\n";
for (i=1,j=9; i<10; cout << i++ << "-" << j--) cout << "*";
cout << '\n';

// 2. do statement while(condition);

// Lause 'statement' tidetakse
// Kuni tingimus 'condition' on tene, korratakse lause titmist

// Statement is executed
// Statement is executed repeatedly until condition becomes false

cout << "2. do-while:\n";
i=1;
do
	cout << ++i << " ";
	while(i<1);
cout << '\n';

// 3. while(condition)statement;

// Lauset 'statement' korratakse seni, kuni tingimus 'condition' on tidetud
// Statement is executed repeatedly while condition is true

cout << "3. while:\n";
i=1;
while (i<1)
	cout << ++ i << " ";
cout << '\n';

// Valikulaused - Selection statements

// 4. if(condition)statement1;
//    if(condition)statement1; else statement2;

// Kui tingimus 'condition' pole null, tidetakse lause 'statement1',
// vastasel juhul ning else-osa olemasolu korral aga 'statement2'
// if condition is true (not 0), statement1 is executed,
// else statement2 is executed (if else-part exists)

cout << "4. if:\n";
i=0;
if (i=0) cout << "YES\n"; else cout << "NO\n";
if (i=3) cout << "YES\n"; else cout << "NO\n";

// 5. switch(expression)case-list;
// case-list: case value:statement(s)
// or         default:statement(s)

// Avaldise 'expression' vrtuse jrgi valitakse case-osa, millest
// alates alustatakse 'case-list'-is olevate lausete titmist
// The value of expression is evaluated and statements in
// case-list is executed beginning corresponding case-part

// cout << "5. switch:\n";
for(i=1;i<=5;i++){
	switch (i){
		case 1: cout << " 1 ";
		case 2: cout << " 2 ";
		case 3: cout << " 3 ";
		default: cout << " default ";
	}
	cout << "\n";
}

// Suunamislaused - Jump statements

// 6. break; - katkestab korduse (while, do, for) vi swich-lause titmise
//    break; - terminates iteration (while, do, for) or switch-statement
// 7. continue; - alustatakse uut tsklit
//    continue; - next loop inside iteration
// 8. goto label; - tidetakse mrgendiga 'label'lause
//    goto label; - control transfers to labeled statement
// 9. return value; - funktsiooni t lpp
//    return value; - terminates function

// cout << "5. break:\n";
for(i=1;i<=5;i++){
	switch (i){
		case 1: cout << " 1 "; break;
		case 2: cout << " 2 "; break;
		case 3: cout << " 3 "; break;
		default: cout << " default ";
	}
	cout << "\n";
}

return 0;
}

